{% extends "general/base.html" %}

{% block title %}
	Sign Up
{% endblock %}

{% block content %}
	
	{% if messages %}

	    {% for message in messages %}

		<!--Panel-->
		<div class="card border-danger mb-3">
		    <div class="card-header text-danger">
		        <p class="card-title">{{ message }}</p>
		    </div>
		</div>
		<!--/.Panel-->
	    
	    {% endfor %}

	{% endif %}

<div class="container mt-4">
<div class="row">
	<div class="col-md-2">

	</div>

		<div class="col-md-2"></div>

	<div class="col-md-4">
		<!-- Default form register -->
		<form class="border mt-5 border-secondary text-center p-3" method="post">
			{% csrf_token %}
		    <p class="h4 mb-4 text-secondary text-center">Register new User</p>

			{% for field in form %}
		    <p>
<!--	        	{{ field.label_tag }}-->
	        	{{ field }}
		        <!-- {% if field.help_text %}
		          <small style="color: grey">{{ field.help_text }}</small>
		        {% endif %} -->
		        {% for error in field.errors %}
		          <p style="color: red">{{ error }}</p>
		        {% endfor %}
		    </p>
		    {% endfor %}

		    <!-- Sign up button -->
		    <button class="btn btn-secondary my-4 btn-block" type="submit">Sign up</button>

			<!-- Login -->
                <p>Already have an account?
                    <a href="{% url 'login' %}">Login</a>
                </p>
		</form>
		<!-- Default form register -->
	</div>

	<div class="col-md-2"></div>

</div>
</div>

{% endblock %}